/Users/bernard/b20/bsoft/src/rwimg/rwIP.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwIP.cpp - Functions for reading and writing image plate reader files.

SYNOPSIS

#include 'rwIP.h'
#include 'utilities.h'

  Functions
int readIP (Bimage *p, int readdata)
Reading an image plate reader file format.
int writeIP (Bimage *p)
Writing an image plate reader file format.

  Variables
int verbose

Detailed Description

Functions for reading and writing image plate reader files.

Author:
    Bernard Heymann

Date:
    Created: 20041110

    Modified: 20111217

Definition in file rwIP.cpp.

Function Documentation

  int readIP (Bimage * p, int readdata)

Reading an image plate reader file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). An image format used in the Ditabis image plate reader. The header is text with tag-value pairs. Required tags: CREATED = time and date string HEADER = length of header, typically 2048 XPIXEL = x size YPIXEL = y size BYTE PER PIXEL = 2,3,4 XRESOLUTION = x pixel size in um YRESOLUTION = y pixel size in um THUMB-NAIL-ZOOM = zoom factor for preview, typically 10 Additional tags: MAGNIFICATION = microscope magnification OFFSET = zero dose value OFFSET CORRECTION = flag to indicate correction GAIN = gain setting LASER = laser setting PARAMS = settings file FORMAT = format file CHANNEL = data channel MICRON-MARK = position, length and text of micron mark overlay Final tag: COMMENT = comment, always last, terminated by NULL. File format extensions: .IPL, .IPH, .IPR, .IPC Byte order: Always little endian because the IP software runs on Intel machines and there is no way to detect byte order from the text header. Data type: short.

Definition at line 50 of file rwIP.cpp.

  int writeIP (Bimage * p)

Writing an image plate reader file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 2D image format used with the image plate reader.

Definition at line 116 of file rwIP.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.